Debian Bug report logs - #353398
O: goobox -- CD player and ripper for GNOME

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christoph Berg <myon@debian.org>

Date: Sat, 18 Feb 2006 00:18:05 UTC

Severity: normal

Fixed in version goobox/0.9.93-3

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#353398; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: submit@bugs.debian.org
Subject: O: goobox -- CD player and ripper for GNOME
Date: Sat, 18 Feb 2006 00:47:29 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of goobox, Dan Korostelev <nadako@gmail.com>,
has orphaned this package.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: goobox
Binary: goobox
Version: 0.9.91-1.1
Priority: optional
Section: gnome
Maintainer: Dan Korostelev <nadako@gmail.com>
Build-Depends: debhelper (>= 4.2.25), cdbs, intltool, docbook-to-man, libgtk2.0-dev (>= 2.4.0), libglade2-dev (>= 1:2.5.0), libgnomeui-dev (>= 2.8.1-3), libgstreamer0.8-dev (>= 0.8.0), libgstreamer-gconf0.8-dev (>= 0.8.0), libgstreamer-plugins0.8-dev (>= 0.8.0), scrollkeeper (>= 0.3.8)
Architecture: any
Standards-Version: 3.6.1
Format: 1.0
Directory: pool/main/g/goobox
Files:
 b7f0ac638eeb3dd59efba7709578eba1 816 goobox_0.9.91-1.1.dsc
 e6a4d955260e41b1b1b4181069f5cc69 736359 goobox_0.9.91.orig.tar.gz
 003bc61be437eee1dbf33bf7d89ae3b4 26611 goobox_0.9.91-1.1.diff.gz

Package: goobox
Priority: optional
Section: gnome
Installed-Size: 1196
Maintainer: Dan Korostelev <nadako@gmail.com>
Architecture: i386
Version: 0.9.91-1.1
Depends: libart-2.0-2 (>= 2.3.16), libatk1.0-0 (>= 1.9.0), libbonobo2-0 (>= 2.8.0), libbonoboui2-0 (>= 2.5.4), libc6 (>= 2.3.5-1), libcairo2 (>= 1.0.2-2), libfontconfig1 (>= 2.3.0), libgcc1 (>= 1:4.0.2), libgconf2-4 (>= 2.11.1), libglade2-0 (>= 1:2.5.1), libglib2.0-0 (>= 2.8.5), libgnome-keyring0 (>= 0.4.3), libgnome2-0 (>= 2.8.0), libgnomecanvas2-0 (>= 2.11.1), libgnomeui-0 (>= 2.8.0), libgnomevfs2-0 (>= 2.12.0), libgstreamer-gconf0.8-0 (>= 0.8.0), libgstreamer-plugins0.8-0 (>= 0.8.0), libgstreamer0.8-0 (>= 0.8.11), libgtk2.0-0 (>= 2.8.0), libice6, liborbit2 (>= 1:2.10.0), libpango1.0-0 (>= 1.10.2), libpopt0 (>= 1.7), libsm6, libstdc++6 (>= 4.0.2-4), libx11-6, libxcursor1 (>> 1.1.2), libxext6, libxi6, libxinerama1, libxml2 (>= 2.6.23), libxrandr2, libxrender1 (>= 1:0.9.0.2), zlib1g (>= 1:1.2.1), gnome-media (>= 2.8.0), gstreamer0.8-cdparanoia, gstreamer0.8-gnomevfs
Recommends: gstreamer0.8-flac, gstreamer0.8-vorbis
Filename: pool/main/g/goobox/goobox_0.9.91-1.1_i386.deb
Size: 243954
MD5sum: 82bb7f578dfa9845ae3a8bc19e1b5545
Description: CD player and ripper for GNOME
 Goobox is an CD player and ripper for GNOME 2 environment.
 It follows the "Just Works" principle so its interface is
 beautiful and easy-to-use.
 .
 It uses GNOME/GTK+ for its user interface, GStreamer framework
 for CD playing and ripping operations and GnomeVFS to search
 album cover images with Google.
 .
 Homepage: http://ftp.gnome.org/pub/GNOME/sources/goobox/
Tag: hardware::storage:cd, interface::x11, role::sw:application, sound::player, suite::gnome, uitoolkit::gtk, use::playing, works-with::audio, x11::application


Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#353398; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #8 received at 353398@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: 353398@bugs.debian.org
Subject: Almost ready / unbuildable in testing
Date: Sun, 19 Feb 2006 18:56:00 +0100
[Message part 1 (text/plain, inline)]
Hello,
I have the new upstream version almost ready, but unfortunately it
does not build in testing anymore due to #350113 (where I could not
understand why it was allowed to migrate to testing). Since my main
test box (for functionality) runs on testing, I am considering how to
proceed best.

If someone wants to take over goobox, please contact me before
starting your work to avoid duplicated work.

Greetings

             Helge
-- 
Dr. Helge Kreutzmann, Dipl.-Phys.           Helge.Kreutzmann@itp.uni-hannover.de
                       gpg signed mail preferred 
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
          Help keep free software "libre": http://www.ffii.de/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#353398; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@panthera-systems.net:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #13 received at 353398@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: 353398@bugs.debian.org
Cc: kreutzm@itp.uni-hannover.de
Subject: Re: Bug#353398: O: goobox -- CD player and ripper for GNOME
Date: Mon, 20 Feb 2006 09:26:19 +0100
Packages should be built on unstable rather than on testing anyway. If
you're on the way to adopt the package, please retitle the bug
accordingly, otherwise I will do it.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#353398; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #18 received at 353398@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: Daniel Baumann <daniel.baumann@panthera-systems.net>
Cc: 353398@bugs.debian.org
Subject: Re: Bug#353398: O: goobox -- CD player and ripper for GNOME
Date: Mon, 20 Feb 2006 17:41:33 +0100
[Message part 1 (text/plain, inline)]
Hello Daniel,
On Mon, Feb 20, 2006 at 09:26:19AM +0100, Daniel Baumann wrote:
> Packages should be built on unstable rather than on testing anyway. If

Yes, I know. I always build them in a unstable changeroot. But I found
out that for some reason direct audio/CD-access does not work, so
testing it within the changeroot is limited. Therefore I built and
tested it in a "live" testing system, which worked until the libxft2
bug hit testing.

> you're on the way to adopt the package, please retitle the bug
> accordingly, otherwise I will do it.

Actually (unless you object) I'd be glad if someone else continued to
maintain it. If nobody can be found and / or goobox goes into a state
where a removal from testing (or sid) would be imminent than I can
jump in. Or phrased differently: If nobody can be found for several
weeks I will take it over, thus I'd prefer to keep this bug open for a
while.

Greetings

            Helge

-- 
Dr. Helge Kreutzmann, Dipl.-Phys.           Helge.Kreutzmann@itp.uni-hannover.de
                       gpg signed mail preferred 
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
          Help keep free software "libre": http://www.ffii.de/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#353398; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@panthera-systems.net:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #23 received at 353398@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
Cc: 353398@bugs.debian.org
Subject: Re: Bug#353398: O: goobox -- CD player and ripper for GNOME
Date: Mon, 20 Feb 2006 20:18:33 +0100
Helge Kreutzmann wrote:
> Actually (unless you object) I'd be glad if someone else continued to
> maintain it. If nobody can be found and / or goobox goes into a state
> where a removal from testing (or sid) would be imminent than I can
> jump in. Or phrased differently: If nobody can be found for several
> weeks I will take it over, thus I'd prefer to keep this bug open for a
> while.

..then I suggest you send me your package, I look over it, add myself as
Maintainer, you as Co-Maintainer and we are all happy :)

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#353398; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #28 received at 353398@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: Daniel Baumann <daniel.baumann@panthera-systems.net>
Cc: 353398@bugs.debian.org
Subject: Re: Bug#353398: O: goobox -- CD player and ripper for GNOME
Date: Mon, 20 Feb 2006 21:56:52 +0100
[Message part 1 (text/plain, inline)]
Hello Daniel,
On Mon, Feb 20, 2006 at 08:18:33PM +0100, Daniel Baumann wrote:
> ..then I suggest you send me your package, I look over it, add myself as
> Maintainer, you as Co-Maintainer and we are all happy :)

Agreed. The latest version is now in the archive (0.9.93-1). The
following open issues remain:
*Everything as Patches: The build is not idempotent, i.e. upstream
 ships autogenerated files (and partially not even the proper
 ones, i.e. regenerating during build gives a slightly different
 result). This is the only reason the version in the archives touches
 files outside of debian/. I tried to include those changes as patches
 (which you'll find attached), but somehow cdbs mixed up the make
 clean phase and the unapplying state (there I had troubles, and since
 I have not much prior cdbs experience, I could not continue atm).
*README.Debian below 76 Zeichen/Zeile: My sponsor Martin Michlmayr
 noticed that this file had lines longer than 80 characters (I did
 not touch it because I did not notice and neither linda nor lintian
 informed me of them).
*linda says "W: goobox; Long descriptions contains short description"
 I think the long description is fine, but maybe we can address this
 issue as well.
*I think #319712 is addressed by my upload as well, but I haven't
 checked (ripping in the changeroot does not really work and in
 testing goobox no longer builds ....)

If you like I can contact upstream regarding the idempotency.

Greetings

             Helge
-- 
Dr. Helge Kreutzmann, Dipl.-Phys.           Helge.Kreutzmann@itp.uni-hannover.de
                       gpg signed mail preferred 
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
          Help keep free software "libre": http://www.ffii.de/
[idempotent_data_makefile.patch (text/plain, attachment)]
[idempotent_gnome_doc_utils_make.patch (text/plain, attachment)]
[idempotent_icons.patch (text/plain, attachment)]
[idempotent_remove_vi.patch (text/plain, attachment)]
[idempotent_src.patch (text/plain, attachment)]
[Message part 7 (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 353398-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 353398-close@bugs.debian.org
Subject: Bug#353398: fixed in goobox 0.9.93-3
Date: Wed, 12 Jul 2006 06:17:43 -0700
Source: goobox
Source-Version: 0.9.93-3

We believe that the bug you reported is fixed in the latest version of
goobox, which is due to be installed in the Debian FTP archive:

goobox_0.9.93-3.diff.gz
  to pool/main/g/goobox/goobox_0.9.93-3.diff.gz
goobox_0.9.93-3.dsc
  to pool/main/g/goobox/goobox_0.9.93-3.dsc
goobox_0.9.93-3_i386.deb
  to pool/main/g/goobox/goobox_0.9.93-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 353398@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated goobox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 12 Jul 2006 08:43:00 +0200
Source: goobox
Binary: goobox
Architecture: source i386
Version: 0.9.93-3
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 goobox     - CD player and ripper for GNOME
Closes: 353398
Changes: 
 goobox (0.9.93-3) unstable; urgency=low
 .
   * New maintainers (Closes: #353398).
   * Redone debian-directory based on current debhelper templates, additionally:
     - including manpages as flat files, dropping docbook-to-man.
     - reformated manpages.
     - updated dependencies and versions.
     - using now dpatch for all upstream modifications.
Files: 
 1c70e5e0788d0ff7d3388592231bac5d 883 gnome optional goobox_0.9.93-3.dsc
 51b6bf1a349c0e0afba1a5f435a45591 24225 gnome optional goobox_0.9.93-3.diff.gz
 1cb8de53d207d650e9f311e92b051542 265384 gnome optional goobox_0.9.93-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEtLv3+C5cwEsrK54RAtHJAJoDWlaUC+ZLCcOzC9rZp/bWFPL/NwCgqCN/
6Nda69ZGSx4pPRSCzQ8XSxs=
=IL/K
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 21:46:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:30:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.